# morblox.us - Settings
MORBLOX is a work in progress revival.

Friends Avatar Transactions

ALERT TEXT

# Settings

### Bio

Username: OnlyTwentyCharacters

E-Mail: t****@ex********.com

Date of Birth: 01/01/01

Password: ********

Date Display Preference: D/M/YY

Time Display Preference: 12 Hour

### Invite Keys

You can only create 1 invite every week.

You cannot invite until 29/6/22.

### Invite History

9/10/21 - Invited a guy that got invited

16/10/21 - Invited a guy that got invited hater

22/6/22 - Invited OnlyTwentyMORBLOXers

### DANGER ZONE

Thesse buttons can fully delete data. Use with caution!